petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESFASSetType

Sets the update and correction type used for FAS.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESFASSetType(SNES snes,SNESFASType fastype)

Logically Collective

### Input Parameters

| snes | - FAS context
| fastype | - SNES_FAS_ADDITIVE, SNES_FAS_MULTIPLICATIVE, SNES_FAS_FULL, or SNES_FAS_KASKADE

### See Also

PCMGSetType()

### Level

intermediate

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages